<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/KWD/include/KWD/AbstractKeywordDetector.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d0ae40f34093660421d9f00fd3d110f5.html">KWD</a></li><li class="navelem"><a class="el" href="dir_8dea89c1bb4f7e14d42e016f897bd2de.html">include</a></li><li class="navelem"><a class="el" href="dir_ebdf99d72507758dd36f6f35ec8f7330.html">KWD</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">AbstractKeywordDetector.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;unordered_set&gt;</code><br />
<code>#include &lt;<a class="el" href="_audio_format_8h_source.html">AVSCommon/Utils/AudioFormat.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_audio_input_stream_8h_source.html">AVSCommon/AVS/AudioInputStream.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_key_word_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/KeyWordObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_key_word_detector_state_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/KeyWordDetectorStateObserverInterface.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AbstractKeywordDetector.h:</div>
<div class="dyncontent">
<div class="center"><img src="_abstract_keyword_detector_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_k_w_d_2include_2_k_w_d_2_abstract_keyword_detector_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_k_w_d_2include_2_k_w_d_2_abstract_keyword_detector_8h" id="_2workplace_2avs-device-sdk_2_k_w_d_2include_2_k_w_d_2_abstract_keyword_detector_8h">
<area shape="rect" id="node4" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="5,212,227,237"/>
<area shape="rect" id="node6" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="487,205,685,244"/>
<area shape="rect" id="node37" href="_key_word_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordObserverInterface.h" alt="" coords="232,112,430,151"/>
<area shape="rect" id="node38" href="_key_word_detector_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordDetectorStateObserver\lInterface.h" alt="" coords="555,105,771,157"/>
<area shape="rect" id="node7" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1853,292,2015,331"/>
<area shape="rect" id="node12" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1103,379,1250,404"/>
<area shape="rect" id="node16" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1347,525,1523,564"/>
<area shape="rect" id="node30" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1466,452,1574,477"/>
<area shape="rect" id="node31" href="_reader_8h.html" title="Reader.h" alt="" coords="1139,452,1214,477"/>
<area shape="rect" id="node35" href="_writer_8h.html" title="Writer.h" alt="" coords="853,452,920,477"/>
<area shape="rect" id="node18" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1534,612,1710,651"/>
<area shape="rect" id="node20" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1245,699,1459,737"/>
<area shape="rect" id="node23" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1928,785,2104,824"/>
<area shape="rect" id="node24" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1534,699,1710,737"/>
<area shape="rect" id="node28" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1835,699,2032,737"/>
<area shape="rect" id="node29" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="902,872,1078,911"/>
<area shape="rect" id="node25" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1534,785,1710,824"/>
<area shape="rect" id="node26" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1534,872,1710,911"/>
<area shape="rect" id="node34" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="1028,532,1138,557"/>
<area shape="rect" id="node36" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="588,532,690,557"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_abstract_keyword_detector_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_k_w_d_2include_2_k_w_d_2_abstract_keyword_detector_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_k_w_d_2include_2_k_w_d_2_abstract_keyword_detector_8hdep" id="_2workplace_2avs-device-sdk_2_k_w_d_2include_2_k_w_d_2_abstract_keyword_detector_8hdep">
<area shape="rect" id="node2" href="_kitt_ai_key_word_detector_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KittAi/include\l/KittAi/KittAiKeyWordDetector.h" alt="" coords="227,112,433,164"/>
<area shape="rect" id="node5" href="_keyword_detector_provider_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KWDProvider\l/include/KWDProvider/Keyword\lDetectorProvider.h" alt="" coords="465,105,672,171"/>
<area shape="rect" id="node7" href="_sensory_keyword_detector_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/include\l/Sensory/SensoryKeywordDetector.h" alt="" coords="695,112,935,164"/>
<area shape="rect" id="node10" href="_abstract_keyword_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/src/AbstractKeyword\lDetector.cpp" alt="" coords="958,112,1165,164"/>
<area shape="rect" id="node11" href="_abstract_keyword_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/test/AbstractKeyword\lDetectorTest.cpp" alt="" coords="1190,112,1401,164"/>
<area shape="rect" id="node3" href="_kitt_ai_key_word_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KittAi/src/KittAiKey\lWordDetector.cpp" alt="" coords="5,219,201,271"/>
<area shape="rect" id="node4" href="_kitt_ai_key_word_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KittAi/test\l/KittAiKeyWordDetectorTest.cpp" alt="" coords="224,219,435,271"/>
<area shape="rect" id="node6" href="_keyword_detector_provider_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KWDProvider\l/src/KeywordDetectorProvider.cpp" alt="" coords="460,219,683,271"/>
<area shape="rect" id="node8" href="_sensory_keyword_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/src\l/SensoryKeywordDetector.cpp" alt="" coords="712,219,913,271"/>
<area shape="rect" id="node9" href="_sensory_keyword_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/test\l/SensoryKeywordDetectorTest.cpp" alt="" coords="937,219,1163,271"/>
</map>
</div>
</div>
<p><a href="_abstract_keyword_detector_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1kwd"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">alexaClientSDK::kwd</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
